@import "../../../../../styles.scss";

:host {
  display: grid;
  grid-template-rows: 90% 8%;
  row-gap: 2%;
  height: 100%;
}

.form-grid {
  display: grid;
  width: 100%;
  height: 100%;
  // overflow-y: scroll;

  .form-group {
    display: grid;
    width: 100%;
    grid-template-columns: 48% 48%;
    column-gap: 4%;

    .promotion {
      label {
        margin-right: 10px;
      }
      mat-radio-group {
        mat-radio-button {
          margin-right: 15px;
        }
      }
    }
  }
}

.buttons-container {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: auto 20% 20%;
  column-gap: 20px;

  button {
    border-radius: 4px;
    text-transform: uppercase;
  }
  button:disabled {
    opacity: 50%;
    background-color: white;
  }

  button.mat-primary {
    color: $green;
  }
  button.mat-primary:hover {
    background-color: $green-light;
  }

  // button.mat-warm {
  //   color: $red;
  // }
  // button.mat-warm:hover {
  //   background-color: $red-light;
  // }
}
